"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const reducers_1 = require("./reducers");
const middlewares_1 = require("./middlewares");
const redux_1 = require("redux");
// if ((<any>window).__REDUX_DEVTOOLS_EXTENSION__) {
//     middlewares.push((<any>window).__REDUX_DEVTOOLS_EXTENSION__());
// }
//const finalCreateStore = compose(...middlewares)(createStore);
const defaults = {};
try {
    defaults.settings = JSON.parse(localStorage.getItem('jsconsole.settings') || '{}');
    defaults.history = JSON.parse(sessionStorage.getItem('jsconsole.history') || '[]');
    defaults.env = JSON.parse(sessionStorage.getItem('jsconsole.env') || '{}');
}
catch (e) {
    console.log(e);
}
const configureStore = (preloadedState = {}) => {
    const store = redux_1.createStore(reducers_1.default, preloadedState, middlewares_1.default);
    return store;
};
exports.default = configureStore;
//const store = finalCreateStore(reducers, defaults);
