import * as React from 'react';
import './css/index.css';
import './core/jsconsole.css';
import { WavesConsoleAPI } from './WavesConsoleAPI';
interface IReplProps {
    theme: string;
    className?: string;
    style?: Record<string, React.CSSProperties>;
    env?: object;
}
export declare class Repl extends React.Component<IReplProps> {
    private readonly store;
    private consoleRef;
    API: WavesConsoleAPI;
    methods: any;
    constructor(props: IReplProps);
    updateEnv: (env: any) => void;
    componentDidMount(): void;
    render(): JSX.Element;
}
export {};
