import * as React from 'react';
import * as PropTypes from 'prop-types';
import { Console } from './Console';
import { WavesConsoleAPI } from '../../WavesConsoleAPI';
export interface IAppProps {
    api: WavesConsoleAPI;
    commands: any;
    layout: string;
    theme: 'light' | 'dark';
    className?: string;
    style?: Record<string, number>;
    consoleRef: any;
}
export declare class App extends React.Component<IAppProps, any> {
    private consoleRef;
    private messagesEnd?;
    private app;
    private input;
    static contextTypes: {
        store: PropTypes.Requireable<object>;
    };
    constructor(props: any);
    onRun(command: string): Promise<void>;
    componentDidMount(): void;
    triggerFocus(e: any): void;
    scrollToBottom(): void;
    setConsoleRef: (el: Console) => void;
    render(): JSX.Element;
}
